DELETE /_system/cache_management/delete_key/{type}

Delete a specific cache, increment, or document key (requires manage_cache_delete permission)

Delete a specific cache, increment, or document key (requires manage_cache_delete permission)
KeyTypeExampleDescription
typerequiredstring
"example"
Type of key to delete
Allowed: "increment", "cache", "document"
KeyTypeExampleDescription
authorizationrequiredstring
"Bearer access_token"
Access token
KeyTypeExampleDescription
guidoptionalstring
'a23575f49d0af385314c1f02280163374297e018a692e5e...'
Document GUID (required for document type)
keyrequiredstring
"order_sync"
Key name to delete (no wildcards allowed)
store_nameoptionalstring
"joe doe"
Storage name (required for document type)
{
  "deleted": true,
  "key": "order_sync",
  "type": "totp"
}
{
  "error": "MISSING_KEY"
}
StatusError CodeDescription
400MISSING_KEYInvalid request
401INVALID_ACCESS_TOKENAuthentication required or invalid token
404KEY_NOT_FOUNDKey not found
PermissionDescription
Bearer tokenAccess token required via Authorization header, x-authtoken, x-token, query param, or cookie
cache_management_removeRequired scope: cache_management_remove

Back to Cache Management Return to the Cache Management category to view other endpoints All API Categories Browse all available API categories